#include <iostream.h>

#include <JTC/JTC.h>

#include "checkboard.h"

int main ( int argc, char **argv) 
{
    JTCInitialize initialize;

    const int size = 200;
    Checkboard* theBoard = new Checkboard( size);

    JTCThread* entry = new CheckboardEntryThread( theBoard);
    JTCThread* printer = new CheckboardPrinterThread( theBoard);
    printer->start();
    cout << "printer started\n";
    entry->start();
    cout << "entry started\n";

    return 0;
}
